Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.smc.model
Enum SmcElement.TransType

    java.lang.Object
      java.lang.Enum<SmcElement.TransType>
          net.sf.smc.model.SmcElement.TransType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SmcElement.TransType>

Enclosing class:
  SmcElement

    public static enum SmcElement.TransType

extends java.lang.Enum<SmcElement.TransType>

The SMC transitions fall into four types.

Enum Constant Summary
`TRANS_NOT_SET` Transitions may be instantiated before all information is gathered.
`TRANS_POP` Pop the state off the state stack and make it the next state.
`TRANS_PUSH` This transition pushes the current state on top of the state stack before setting the next state.
`TRANS_SET` A standard transition which goes from one state to the next.

Method Summary
`static SmcElement.TransType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SmcElement.TransType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRANS_NOT_SET

    public static final SmcElement.TransType TRANS_NOT_SET

  Transitions may be instantiated before all information is gathered. This is the default transition type.

### TRANS_SET

    public static final SmcElement.TransType TRANS_SET

  A standard transition which goes from one state to the next.

### TRANS_PUSH

    public static final SmcElement.TransType TRANS_PUSH

  This transition pushes the current state on top of the state stack before setting the next state. The previous state may be restored using a pop transition. A push transtion may be used in conjunction with a set transition. In that case the specified next state is pushed on top of the state stack and not the current state.

### TRANS_POP

    public static final SmcElement.TransType TRANS_POP

  Pop the state off the state stack and make it the next state.

Method Detail

### values

    public static SmcElement.TransType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SmcElement.TransType c : SmcElement.TransType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SmcElement.TransType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. Charles W. Rapp. All Rights Reserved. Use is subject to license terms.